diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 7c68010..561d041 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1980,8 +1980,6 @@ define(
                                 ')';
                   }
 
-                  column_label = c.display_name + '<br>' + col_type;
-
                   // Identify cell type of column.
                   switch(type) {
                     case "json":
@@ -2002,10 +2000,22 @@ define(
                     case "boolean":
                       col_cell = 'boolean';
                       break;
+                    case "character":
+                    case "character[]":
+                    case "character varying":
+                    case "character varying[]":
+                      if (c.internal_size && c.internal_size != 65535) {
+                        // Update column type to display length on column header
+                        col_type += ' (' + c.internal_size + ')';
+                      }
+                      col_cell = 'string';
+                      break;
                     default:
                       col_cell = 'string';
                   }
 
+                  column_label = c.display_name + '<br>' + col_type;
+
                   var col = {
                     'name': c.name,
                     'label': column_label,
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/insert.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/insert.sql
index 24100ae..f7139e4 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/insert.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/insert.sql
@@ -12,5 +12,5 @@ INSERT INTO {{ conn|qtIdent(nsp_name, object_name) }} (
 {% set col_value = data_to_be_saved[col]|qtLiteral %}
 {% endif %}
 {########################################################}
-{% if not loop.first %}, {% endif %}{{ col_value }}::{{data_type[col]}}{% endfor %}
+{% if not loop.first %}, {% endif %}{{ col_value }}{% endfor %}
 );
\ No newline at end of file
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/update.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/update.sql
index b95f199..da649e3 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/update.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/update.sql
@@ -9,7 +9,7 @@ UPDATE {{ conn|qtIdent(nsp_name, object_name) }} SET
 {% set col_value = data_to_be_saved[col]|qtLiteral %}
 {% endif %}
 {########################################################}
-{% if not loop.first %}, {% endif %}{{ conn|qtIdent(col) }} = {{ col_value }}::{{data_type[col]}}{% endfor %}
+{% if not loop.first %}, {% endif %}{{ conn|qtIdent(col) }} = {{ col_value }}{% endfor %}
  WHERE
 {% for pk in primary_keys %}
 {% if not loop.first %} AND {% endif %}{{ conn|qtIdent(pk) }} = {{ primary_keys[pk]|qtLiteral }}{% endfor %};
\ No newline at end of file
